Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class UserGroupTaskAttachmentDecorator

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
          org.jbpm.services.task.identity.UserGroupTaskAttachmentDecorator

All Implemented Interfaces:
  org.kie.internal.task.api.TaskAttachmentService

    @Decorator
    public class UserGroupTaskAttachmentDecorator

extends AbstractUserGroupCallbackDecorator
implements org.kie.internal.task.api.TaskAttachmentService

Constructor Summary
`UserGroupTaskAttachmentDecorator()`

Method Summary
`long` | `addAttachment(long taskId, org.kie.internal.task.api.model.Attachment attachment, org.kie.internal.task.api.model.Content content)`
`void` | `deleteAttachment(long taskId, long attachmentId)`
`List<org.kie.internal.task.api.model.Attachment>` | `getAllAttachmentsByTaskId(long taskId)`
`org.kie.internal.task.api.model.Attachment` | `getAttachmentById(long attachId)`

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, setPm, setUserGroupCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupTaskAttachmentDecorator

    public UserGroupTaskAttachmentDecorator()

Method Detail

### addAttachment

    public long addAttachment(long taskId,
                              org.kie.internal.task.api.model.Attachment attachment,
                              org.kie.internal.task.api.model.Content content)

  Specified by:
    `addAttachment` in interface `org.kie.internal.task.api.TaskAttachmentService`

### deleteAttachment

    public void deleteAttachment(long taskId,
                                 long attachmentId)

  Specified by:
    `deleteAttachment` in interface `org.kie.internal.task.api.TaskAttachmentService`

### getAllAttachmentsByTaskId

    public List<org.kie.internal.task.api.model.Attachment> getAllAttachmentsByTaskId(long taskId)

  Specified by:
    `getAllAttachmentsByTaskId` in interface `org.kie.internal.task.api.TaskAttachmentService`

### getAttachmentById

    public org.kie.internal.task.api.model.Attachment getAttachmentById(long attachId)

  Specified by:
    `getAttachmentById` in interface `org.kie.internal.task.api.TaskAttachmentService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.